{% extends 'base.html.twig' %}

{% block title %}{{ 'box.create.title'|trans }}{% endblock %}

{% block body -%}

    {% for flashMessage in app.session.flashbag.get('notice') %}
        <div class="alert alert-info">
            {{ flashMessage|trans }}
        </div>
    {% endfor %}

    {% if no_domain %}
        <span class="glyphicon glyphicon-warning-sign"></span>
              {{ 'box.create.no_domain'|trans({'href': path('domain_new')})|raw }}

    {% else %}
        {{ form_start(form) }}
        {{ form_row(form.name) }}

        {% include 'Base/Box/_form_user_domain.html.twig' %}
        {% include 'Base/Box/_form_password.html.twig'  with {password_element_id: 'passwordPlaintext'} %}

        {{ form_row(form.referenceId) }}

        <hr />
        {% include 'Base/Box/_form_administrator.html.twig' %}

        {{ form_rest(form) }}

        <div class="form-group">
            <button type="submit">{{ 'submit'|trans }}</button>
            <button type="submit" class="submit_new">{{ 'submit_new'|trans }}</button>
        </div>

        <br />

        <a href="{{ path('box') }}">
            <span class="glyphicon glyphicon-chevron-left"></span> {{ 'back.to_list'|trans }}
        </a>
    {% endif %}

{% endblock %}

{% block javascripts %}

    {% include 'Base/Box/_form_password_js.html.twig' with {password_element_id: 'passwordPlaintext'}%}

    <script src="{{ asset('resources/chosen.jquery.min.js') }}"></script>
    <script type="application/javascript">
        var button = $(".submit_new");
        var form = button.parents('form:first');
        button.click(function(){
            form.attr('action', '?new=true');
        });
        form.attr('action', '?show=true');
    </script>
    <script type="application/javascript">
        var domain_field = $("#domain");
        domain_field.on('change', function (evt, params) {
            if (params.selected) {
                console.log("Setting domain to session storage: " + params.selected);
                sessionStorage.setItem('add_user_domain', params.selected);
            }
        });
        {% if preselected_domain is empty %}
        domain_field.on('chosen:ready', function (evt, params) {
            console.log("Updating to last domain: " + sessionStorage.getItem('add_user_domain'));
            domain_field.val(sessionStorage.getItem('add_user_domain'));
            domain_field.trigger("chosen:updated");
        });
        domain_field.chosen();
        {% endif %}
    </script>
{% endblock %}
{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('resources/chosen.bootstrap.css') }}">
{% endblock %}
